package mushroomtest;

import org.bukkit.TreeType;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.plugin.java.JavaPlugin;

public class MushroomMain extends JavaPlugin implements Listener {

    @Override
    public void onEnable() {

        getServer().getPluginManager().registerEvents(this, this);

    }

    @EventHandler
    public void onInteract(PlayerInteractEvent event) {

        if (event.getAction().equals(Action.LEFT_CLICK_BLOCK)) {

            event.getPlayer().getWorld().generateTree(event.getClickedBlock().getLocation().clone().add(0.0D, 1.0D, 0.0D), TreeType.RED_MUSHROOM);

        } else if (event.getAction().equals(Action.RIGHT_CLICK_BLOCK)) {

            event.getPlayer().getWorld().generateTree(event.getClickedBlock().getLocation().clone().add(0.0D, 1.0D, 0.0D), TreeType.BROWN_MUSHROOM);

        }

    }

}
